com.google.cloud.dataflow.examples.common

## Class ExamplePubsubTopicOptions.PubsubTopicFactory

- java.lang.Object
- - com.google.cloud.dataflow.examples.common.ExamplePubsubTopicOptions.PubsubTopicFactory

All Implemented Interfaces:
  DefaultValueFactory<String>

Enclosing interface:
  ExamplePubsubTopicOptions

    public static class ExamplePubsubTopicOptions.PubsubTopicFactory
    extends Object
    implements DefaultValueFactory<String>

Returns a default Pub/Sub topic based on the project and the job names.

### Constructor Summary

Constructors
Constructor and Description
`PubsubTopicFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `create(PipelineOptions options)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PubsubTopicFactory

    public PubsubTopicFactory()

### Method Detail

#### create

    public String create(PipelineOptions options)

Specified by:
  `create` in interface `DefaultValueFactory<String>`